summaryrefslogtreecommitdiffstats
path: root/ci/clean.sh
diff options
context:
space:
mode:
authorFeng Pan <fpan@redhat.com>2016-05-26 20:23:24 -0400
committerFeng Pan <fpan@redhat.com>2016-06-02 21:09:57 +0000
commiteafd7cfc494b81e478ad32ce235fbd3c25523769 (patch)
tree4baf90d88e586f99cf15e70944e148e645637a0a /ci/clean.sh
parentae28031af48b31d909eaa9ea2290f578309e4000 (diff)
Add library sourcing error check
Change-Id: Ief7fd339fa2ca8661c8e157270aa9b0339d3b637 Signed-off-by: Feng Pan <fpan@redhat.com>
Diffstat (limited to 'ci/clean.sh')
-rwxr-xr-xci/clean.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/ci/clean.sh b/ci/clean.sh
index ac958f6a..b898fc9c 100755
--- a/ci/clean.sh
+++ b/ci/clean.sh
@@ -18,7 +18,10 @@ RESOURCES=${RESOURCES:-"$CONFIG/images"}
LIB=${LIB:-"$CONFIG/lib"}
##LIBRARIES
-source $LIB/common-functions.sh
+if ! source $LIB/common-functions.sh; then
+ echo "Failed to source $LIB/common-functions.sh"
+ exit 1
+fi
vm_index=4
ovs_bridges="br-admin br-private br-public br-storage"